Module | Chef::ReservedNames::Win32::API::Macros
In: | lib/chef/win32/api.rb

### Methods

FAILED HIBYTE HIWORD HRESULT_CODE HRESULT_FACILITY HRESULT_FROM_NT HRESULT_FROM_WIN32 HRESULT_SEVERITY IS_ERROR LOBYTE LOWORD LocalDiscard MAKELONG MAKEWORD MAKE_HRESULT MAKE_SCODE SUCCEEDED

### Public Instance methods

FAILED(status)
HIBYTE(w)

Retrieves the high-order byte from the given 16-bit value.

msdn.microsoft.com/en-us/library/windows/desktop/ms632656(v=VS.85).aspx

HIWORD(l)

Retrieves the high-order word from the specified 32-bit value.

msdn.microsoft.com/en-us/library/windows/desktop/ms632657(v=VS.85).aspx

HRESULT_CODE(hr)
HRESULT_FACILITY(hr)
HRESULT_FROM_NT(x)
HRESULT_FROM_WIN32(x)
HRESULT_SEVERITY(hr)
IS_ERROR(status)

winerror.h

LOBYTE(w)

Retrieves the low-order byte from the specified value.

msdn.microsoft.com/en-us/library/windows/desktop/ms632658(v=VS.85).aspx

LOWORD(l)

Retrieves the low-order word from the specified value.

msdn.microsoft.com/en-us/library/windows/desktop/ms632659(v=VS.85).aspx

LocalDiscard(pointer)

winbase.h

MAKELONG(low, high)

Creates a LONG value by concatenating the specified values.

msdn.microsoft.com/en-us/library/windows/desktop/ms632660(v=vs.85).aspx

MAKEWORD(low, high)

Creates a WORD value by concatenating the specified values.

msdn.microsoft.com/en-us/library/windows/desktop/ms632663(v=VS.85).aspx

MAKE_HRESULT(sev, fac, code)
MAKE_SCODE(sev, fac, code)
SUCCEEDED(status)

[Validate]